Name:          libteam
Version:       1.23
Release:       2mamba
Summary:       A mechanism to team multiple NICs (ports) into one logical one (teamdev) at L2 layer
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://libteam.org/
Source:        http://libteam.org/files/libteam-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libdaemon-devel
BuildRequires: libdbus-devel
BuildRequires: libjansson-devel
BuildRequires: libnl-devel
## AUTOBUILDREQ-END
BuildRequires: libsodium-devel >= 1.0.8-1mamba
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The purpose of the Team driver is to provide a mechanism to team multiple NICs (ports) into one logical one (teamdev) at L2 layer. The process is called "channel bonding", "Ethernet bonding", "channel teaming", "link aggregation", etc. This is already implemented in the Linux kernel by the bonding driver.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Networking
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libteam.so.*
%{_libdir}/libteamdctl.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/team.h
%{_includedir}/teamdctl.h
%{_libdir}/libteam.a
%{_libdir}/libteam.la
%{_libdir}/libteam.so
%{_libdir}/libteamdctl.a
%{_libdir}/libteamdctl.la
%{_libdir}/libteamdctl.so
%{_libdir}/pkgconfig/libteam.pc
%{_libdir}/pkgconfig/libteamdctl.pc
%doc README

%files tools
%defattr(-,root,root)
%{_bindir}/bond2team
%{_bindir}/teamd
%{_bindir}/teamdctl
%{_bindir}/teamnl
%{_mandir}/man1/bond2team.1*
%{_mandir}/man5/teamd.conf.5*
%{_mandir}/man8/teamd.8*
%{_mandir}/man8/teamdctl.8*
%{_mandir}/man8/teamnl.8*

%changelog
* Mon Feb 29 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.23-2mamba
- rebuilt by autoport with build requirements: libsodium-devel>=1.0.8-1mamba

* Sat Jan 09 2016 Automatic Build System <autodist@mambasoft.it> 1.23-1mamba
- automatic version update by autodist

* Thu Dec 17 2015 Automatic Build System <autodist@mambasoft.it> 1.22-1mamba
- automatic version update by autodist

* Thu Sep 10 2015 Automatic Build System <autodist@mambasoft.it> 1.18-1mamba
- automatic version update by autodist

* Mon Aug 03 2015 Automatic Build System <autodist@mambasoft.it> 1.17-1mamba
- automatic version update by autodist

* Mon Dec 01 2014 Automatic Build System <autodist@mambasoft.it> 1.14-1mamba
- automatic version update by autodist

* Thu Oct 16 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12-1mamba
- package created using the webbuild interface
